Subject: ISSN for RFC Series under Consideration

From: Ray Pelletier <[email-masked]>
Date: Wed, 21 May 2008 13:52:09 -0400

The IETF Trust is considering applying to the U.S. Library of Congress 
to obtain an International Standard Serial Number (ISSN) for the RFC 
Series and would like community input to inform its decision.  The Trust 
may take up this matter on June 11th.  

An ISSN is applied to serials - print or non-print publications issued 
in parts.  A serial is  expected to continue indefinitely. Serials 
include magazines, newspapers, annuals, journals, proceedings, 
transactions of societies, and monographic series. Other SDOs, such as 
the IEEE, have obtained ISSNs for their publications.  A single ISSN 
uniquely identifies a title regardless of language or country in which 
published, without the burden of a complex bibliographic description. 
The ISSN itself has no significance other than the unique identification 
of a serial.

The Trust believes there are advantages to indentifying the RFC Series 
with an ISSN.  Among them,
1. Make reference to the series compact and globally unique;
2. Make the series, and individual RFCs, easier to reference in some 
contexts;
3. Results in accurate citing of serials by scholars, researchers, 
abstracters, and librarians;
4. ISSN registrations are maintained in an international data base and 
are made available in the ISSN Register online

According to the Library of Congress, www.loc.gov/issn/, for serials 
available only in online versions, the ISSN should appear on the title 
screen or home page and/or in the masthead or other areas where 
information about publisher, frequency, subscribing, copyright, etc. is 
given.

There is no cost associated with obtaining ISSNs.

Ray Pelletier
IAD
Trustee

_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: [email-masked]
Date: Wed, 21 May 2008 18:06:03 +0000

Great idea, and I don't see a downside.
Sent from my Verizon Wireless BlackBerry

-----Original Message-----
From: Ray Pelletier <[email-masked]>

Date: Wed, 21 May 2008 13:52:09 
To:IETF Discussion <[email-masked]>, IAOC <[email-masked]>, The IESG <[email-masked]>,RFC Editor <[email-masked]>, IAB <[email-masked]>, Working Group Chairs <[email-masked]>
Subject: ISSN for RFC Series under Consideration

Ray Pelletier
IAD
Trustee

---

From: Melinda Shore <[email-masked]>
Date: Wed, 21 May 2008 14:16:46 -0400

> Great idea, and I don't see a downside.

The only possible disadvantage I can see is if they're then
cataloged as a serial rather than having individual call numbers
and individual catalog entries, but since the Library of Congress
doesn't seem to be cataloging them today I guess to have them
cataloged at all would be an improvement.

Melinda

---

From: "David Harrington" <[email-masked]>
Date: Wed, 21 May 2008 14:17:25 -0400

Hi,

The Trust has analyzed the advantages, and you included the advantages
in your post.
Has the Trust also analyzed any potential disadvantages? Can you tell
us those as well?

David Harrington
[email-masked]
[email-masked]
[email-masked]

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ray Pelletier
> Sent: Wednesday, May 21, 2008 1:52 PM
> To: IETF Discussion; IAOC; The IESG; RFC Editor; IAB; Working 
> Group Chairs

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 21 May 2008 11:19:24 -0700

Hi -

> From: "Melinda Shore" <[email-masked]>
> To: "IETF Discussion" <[email-masked]>
> Sent: Wednesday, May 21, 2008 11:16 AM
> Subject: Re: ISSN for RFC Series under Consideration
...
> cataloged at all would be an improvement.
...

What would it take to get them cataloged individually?

Randy

---

From: Pete Resnick <[email-masked]>
Date: Wed, 21 May 2008 13:20:36 -0500

On 5/21/08 at 1:52 PM -0400, Ray Pelletier wrote:

>The Trust believes there are advantages to indentifying the RFC 
>Series with an ISSN.

OK, maybe I'm getting suspicious in my (still slowly) advancing years:

Nowhere in the message did I see words like, "The Trust has consulted 
with lawyers/doctors/priests/old-crusty-IETFers and have found no 
disadvantages to identifying the RFC Series with an ISSN." Did the 
Trust actually find no potential problems (in which case it would be 
nice to hear that), have they not looked into it yet, or did they 
find problems and you're not saying because you don't want to have a 
big public discussion (in which case you're being dopey, because it's 
gonna happen anyway)?

(For the record, had you said that the Trust did in fact consult the 
tea leaves and everything looked on the up-and-up and they were 
simply confirming this with the community, I would have immediately 
said, "Fine with me." I'm happy to have people to whom such things 
can be delegated, but I do want to hear the words "We've done our due 
diligence.")

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Melinda Shore <[email-masked]>
Date: Wed, 21 May 2008 14:31:47 -0400

> What would it take to get them cataloged individually?

Interest in having them cataloged individually.  I believe LC
catalogs everything it receives.  I've been out of librarianship
long enough not to know how they receive electronic-only material.

There are a couple of RFCs in the OCLC database but not a lot,
and they seem to under the subject heading "Computer networks--
standards".  Cataloging helps solve the problem of finding the
document.  Subject headers and classification help solve the
problem of finding the information in the document.  As university
libraries are apparently currently classifying RFCs the subject
classification is so broad as to be useless and I would guess
that there's not currently a problem with locating the documents
(for reasonable people, anyway).  I think the answer to the
question of how easy it is to locate the *information* in the
documents (i.e. information retrieval) is a lot less clear
but I'm not sure the necessarily broad categories in the
LC subject classifications would help with that problem at all
(in fact, I'm pretty sure it wouldn't).

But more information is usually better than less information,
so what the heck.

Melinda

---

From: Ray Pelletier <[email-masked]>
Date: Wed, 21 May 2008 14:36:07 -0400

Pete Resnick wrote:

>disadvantages to identifying the RFC Series with an ISSN."
>
The Trust did consult with lawyers, old-crusty-IETFers, RFC Editor, and 
found no disadvantages to indentifying the RFC Series with an ISSN. 

> Did the 
That we know!

>can be delegated, but I do want to hear the words "We've done our due 
We've done our due diligence, but we respect the community and the 
process, and seek its guidance.

Ray

---

From: Pete Resnick <[email-masked]>
Date: Wed, 21 May 2008 14:06:09 -0500

On 5/21/08 at 2:36 PM -0400, Ray Pelletier wrote:

>The Trust did consult with lawyers, old-crusty-IETFers, RFC Editor, 
>and found no disadvantages to indentifying the RFC Series with an 
>ISSN.
>[...]

Gotta love that! ;-)

Sounds like a fine idea to me.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 21 May 2008 12:14:35 -0700

Mostly sounds fine, with one small glitch.

>information about publisher, frequency, subscribing, copyright, etc. is

The value of adding "ISSN: 12345678" to each RFC seems small, 
particularly relative to the cost of everyone having to update their 
tools and so on. Also, we would have to tell people *not* to put the 
ISSN designation in their Internet Drafts (which are not part of the 
RFC series), but then switch it on for the RFC, and so on.

The cost of putting "ISSN: 12345678" on a few pages at rfc-editor.org 
and ietf.org is tiny and hopefully sufficient for the statement above.

--Paul Hoffman

---

From: Steve Crocker <[email-masked]>
Date: Thu, 22 May 2008 03:17:42 +0800

Naw.  The ISSN has to be on the document itself.  As you point out,  
this isn't something to be done with Internet Drafts, so it falls  
naturally to the RFC Editor, not to the individual authors.

Steve

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 21 May 2008 21:26:03 +0200

On Wed, May 21, 2008 at 12:14:35PM -0700,
 Paul Hoffman <[email-masked]> wrote 
 a message of 23 lines which said:

> The value of adding "ISSN: 12345678" 

"ISSN: 12345678"? I hope we will eat our own dog food and use RFC
3044.
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Dave Crocker <[email-masked]>
Date: Wed, 21 May 2008 12:36:49 -0700

> naturally to the RFC Editor, not to the individual authors.

The benefit of the new number requires that folk know about it, which means we 
need to make sure it is as visible as possible.  So, I agree it has to be on 
individual documents.

The burden of providing pro forma details in an RFC has increasingly fallen to 
authors in recent years, with the RFC Editor having to do less editing (and, 
on could argue, should continue in that direction.)

Happily, xml2rfc makes this a highly tolerable burden.

So Paul is correct that author tools need to be updated, but since 
registration with the US LoC is of long-term benefit, and the change is small, 
it's difficult to view that rather burden as onerous.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "TS Glassey" <[email-masked]>
Date: Wed, 21 May 2008 12:44:57 -0700

I think there is a bigger issue with encumbering the people of the US for 
paying for creating an indexing system for the IETF to prevent the 
Chair/Trust from doing its job.

I suggest that this is another stupid idea from the Trust to keep them from 
actually answering the question as to what they are going to do to
    1)    Protect IETF IP's
    2)    Market those IP's

Todd Glassey

---

From: Melinda Shore <[email-masked]>
Date: Wed, 21 May 2008 15:45:08 -0400

On 5/21/08 3:36 PM, "Dave Crocker" <[email-masked]> wrote:
> The benefit of the new number requires that folk know about it,

I actually don't think that's the case.  I mean, I think
it should be on the documents (otherwise there's some small
point to having one, but not a lot) but I think it's real
value is to the people who organize information.  The
value to users of information is probably indirect at best -
I'm having a hard time imagining a circumstance in which
having the ISSN on the document is of immediate value to
someone using the document.

Melinda

---

From: Julian Reschke <[email-masked]>
Date: Wed, 21 May 2008 21:20:06 +0200

> 1. Make reference to the series compact and globally unique;

More compact than <urn:ietf:rfc:nnnn>?

BR, Julian

---

From: "Eastlake III Donald-LDE008" <[email-masked]>
Date: Wed, 21 May 2008 15:49:19 -0400

Yes, this seems like a good idea and I don't see why anyone would have
to do any work other than the RFC Editor. Are the tools we use really so
brittle that adding a line with "ISSN xxxx-xxxx" or "urn:ISSN:xxxx-xxxx"
or whatever somewhere in the upper left corner of the first page of an
RFC will break them?

Donald

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Steve Crocker
Sent: Wednesday, May 21, 2008 3:18 PM
To: IETF Discussion
Cc: IAOC
Subject: Re: ISSN for RFC Series under Consideration

Steve

---

From: Dave Cridland <[email-masked]>
Date: Wed, 21 May 2008 21:30:46 +0100

> or whatever somewhere in the upper left corner of the first page of  

Speaking on behalf of the famous A. Address and Mr Editor, I can  
categorically state that our tools are fine.

Dave.
-- 
Dave Cridland - mailto:[email-masked] - xmpp:[email-masked]
  - acap://acap.dave.cridland.net/byowner/user/dwd/bookmarks/
  - http://dave.cridland.net/
Infotrope Polymer - ACAP, IMAP, ESMTP, and Lemonade
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Richard Shockey" <[email-masked]>
Date: Wed, 21 May 2008 17:11:13 -0400

+1  no brainer

>  From: [email-masked] [mailto:[email-masked]] On Behalf
>  Of Pete Resnick
>  Sent: Wednesday, May 21, 2008 3:06 PM
>  To: Ray Pelletier
>  Cc: Working Group Chairs; IAB; IETF Discussion; IAOC; The IESG; RFC
>  Editor
>  Subject: Re: [IAOC] ISSN for RFC Series under Consideration
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 May 2008 09:39:14 +1200

> More compact than <urn:ietf:rfc:nnnn>?

Possibly not, but there is still a crusty old world of academic
publications with traditional reference styles out there, and an ISSN
will make it much more straightforward to cite RFCs in peer-reviewed
publications. +1 that it's a no-brainer.

Regards
   Brian Carpenter
   University of Auckland

---

From: Melinda Shore <[email-masked]>
Date: Wed, 21 May 2008 17:52:55 -0400

> publications. +1 that it's a no-brainer.

Hi - I'm really not trying to be a contrarian, just trying to
sort through the actual issues here.  I don't think I've ever seen
a reference that included an ISSN.  I've also never seen one
used as a subject header (index term) in cataloging.  The only
time I've personally seen them used is as *descriptive* information
in a  catalog (library catalog, publisher's catalog, etc.).  I'm
sure someone will be happy to dig up a counterexample but
I do think they're pretty unusual.  Really, what are the odds
that someone knows the ISSN but not the title or the author or
the publisher or ... ?

The practical benefit I see here is getting the Library of
Congress (and who knows?  maybe the British Library, etc.)
to catalog the series as a series, but again I'm unclear on
the practical benefit, since RFCs are incredibly easy to find
*as* RFCs; that is to say, by the information by which the
series will be cataloged and classified.

I don't see any disadvantage to doing it, it's just that I
can't see much advantage, either.  I figure we should just
go ahead and do it and not have any expectations that the
RFCs will be any more accessible, any more searchable, etc.
More like a change in status than a change in substance.

Melinda

---

From: John Levine <[email-masked]>
Date: 21 May 2008 22:50:56 -0000

>series will be cataloged and classified.

I used to publish an actual paper magazine with paid subscriptions.
(The Journal of C Language Translation, ISSN 1042-7521)

The ISSN made it much easier for my subscribers, who were mostly
libraries who used subscription agents like Ebsco, to order the
magazine, because the ISSN let them find the price and where to send
the order.  In this regard, it is similar to the ISBN that everyone
uses to order books.  But, of course, this is all irrelevant for RFCs
which are distributed online for free.

I don't see any disadvantage to getting an ISSN other than the tiny
effort to update the publishing tools to put it in a header line, but
I also don't see any benefit.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Information Superhighwayman wanna-be, http://www.johnlevine.com, ex-Mayor
"More Wiener schnitzel, please", said Tom, revealingly.
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Frank Ellermann" <[email-masked]>
Date: Thu, 22 May 2008 00:57:36 +0200

> categorically state that our tools are fine.

:-)  Tools doing something with ISSNs exist, I vaguely recall that
     I was a bit annoyed when [insert name of famous of RFC author]
     yielded only something he published thirty or more years ago,
     not an RFC.

I dont't understand how the proposal would change that, and if it
doesn't I don't care much about it.  The database in Germany I
looked at cataloged tons of IT/CS related journals, I think ISOC's
IETFjournal should get an ISSN.

 Frank

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 21 May 2008 16:09:51 -0700

At Wed, 21 May 2008 17:52:55 -0400,
> that someone knows the ISSN but not the title or the author or

I agree with Melinda here. I can't remember ever seeing anything
like an ISBN or an ISSN used as a citation in an academic paper.

-Ekr

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 May 2008 13:06:48 +1200

> like an ISBN or an ISSN used as a citation in an academic paper.

Correct, but I have seen a wide variety of ways to cite RFCs
and tying them all back to an ISSN number would be a step forward
IMHO. In any case: at worst, harmless.

   Brian

---

From: "Ed Juskevicius" <[email-masked]>
Date: Thu, 22 May 2008 02:01:15 -0400

Hi -

> What would it take to get them cataloged individually?

I believe that getting each RFC cataloged individually would not
be possible using an ISSN, so we would need to employ ISBNs.

My understanding of ISBNs is as follows:

In the US, the ISBN Agency is Bowker
http://www.bowker.com/index.php/index.php/component/content/article/1/2.

Their faq
http://www.bowker.com/index.php/supportfaq-isbn/49-support-isbn/350-faqs
-isbn-general
defines the products eligible for an ISBN and standards do
fit in the definition.  This faq also discusses the purpose
and why/when an ISBN should be used.
 
To apply ISBNs to RFC, the process would need to be something like:

- obtain a block of ISBN numbers (e.g. 1,000 of them)
- note that a block of 1,000 is $1570 per
  https://commerce.bowker.com/standards/cgi-bin/isbn.asp 
- then assign an ISBN number to each RFC before it publication,
  and register each not-yet-published RFC against the ISBN per
 
http://www.bowker.com/index.php/supportfaq-isbn/49-support-isbn/381-faqs
-isbn-howtouse  

Setting this up take work and a modest on-going budget. Once in place,
the ongoing effort would be less.  That being said, ISBN numbers are not
free, so I think we'd need to identify some tangible benefits to really
doing this, before deciding to proceed.

Regards,

Ed Juskevicius

---

From: Bill Manning <[email-masked]>
Date: Wed, 21 May 2008 23:07:16 -0700

would the ISSN apply to the whole series?

--bill

-- 
--bill

Opinions expressed may not even be mine by the time you read them, and
certainly don't reflect those of any other entity (legal or otherwise).

---

From: John C Klensin <[email-masked]>
Date: Thu, 22 May 2008 04:21:27 -0400

--On Thursday, 22 May, 2008 13:06 +1200 Brian E Carpenter
<[email-masked]> wrote:

>> I agree with Melinda here. I can't remember ever seeing
>> anything like an ISBN or an ISSN used as a citation in an
>> academic paper.
> 
> and tying them all back to an ISSN number would be a step
> forward IMHO. In any case: at worst, harmless.

I think that is the point, along with the comments about
ordering and cataloging.   There is also the small matter of
this identifier  being guaranteed to be unique.  Fortunately,
there is no such guarantee for "RFC nnnn".

I think we should be a lot more flexible about doing something
that has been (I gather) requested by some other groups, that
will make it easier to persuade some libraries, etc., to keep
things on file, that will guarantee some small marginal
uniqueness... and that doesn't cost us anything other than one
registration and having the RFC Editor attach one more partial
line of boilerplate at the time of RFC publication (an ISSN
should not, indeed must not, appear on I-Ds -- they are not part
of the RFC Series).

This is not a matter of eating our own dogfood (or not).  We
have been unsuccessful in persuading much of the rest of the
world --especially the library/archival community to eat and
enjoy our dogfood.   IMO, it is time we grow up sufficiently to
try to accommodate their perceived needs, especially if it
doesn't require any fundamental changes to what we are doing and
the costs to us are minimal.

Two additional observations:

(1) While we think of RFCs as online documents, their
antecedents, and all of the early ones, were paper publications.
Our standard formats are laid out for paper and not, e.g., with
more or less dynamic style sheets. For better or worse, the
library/archival community tends to equate "paper" with "stable
in format and content" and "online" with "extremely volatile and
potentially ever-changing.   That set of relationships may be
broken, but it is what it is and not under our control.  I think
it will evolve to a distinction between "in page format and
fixed" and "live documents" (the first of which would fit RFCs
perfectly), but it won't be this month or even this year.  I
suggest that the community would be better served, and the ISSN
made more useful, if we treated RFCs as "authoritative paper,
copies available online" rather than "online documents".   If
that requires the RFC Editor or IASA to print out all of the
RFCs published in a given month, throw them into an envelope,
and put the envelope into the smail, I imagine we can afford
that.

(2) Ed's comments about ISBNs are substantially correct.  We
could go that route, but the marginal cost tradeoffs are much
worse.  In particular:
	
	(i) Not only do they cost money, but they impose a
	considerable record-keeping requirement on us.
	
	(ii) While they would help identify things, they would
	not make a useful contribution to finding them, since
	RFCs are not distributed through normal "book" sources.  

They would have one small advantage: while an ISSN would apply
to the entire RFC series, if we used ISBNs we could, in
principle, assign numbers to standards-track documents only.
On the other hand, that (like other things that have been
suggested in the past) is just too subtle to do us any good in
the area of distinguishing between "standard" and "RFC" --
anyone who has enough clues to make the distinction on this
basis will have enough clues to read the header and boilerplate.

     john

---

From: John C Klensin <[email-masked]>
Date: Thu, 22 May 2008 04:13:25 -0400

> would the ISSN apply to the whole series?

By definition, yes.
   john

---

From: John C Klensin <[email-masked]>
Date: Thu, 22 May 2008 05:52:03 -0400

--On Thursday, 22 May, 2008 02:38 -0700 Bill Manning
<[email-masked]> wrote:

> [elided]
>> I suggest that the community would be better served, and the
>> ISSN made more useful, if we treated RFCs as "authoritative
>> paper, copies available online" rather than "online
>> documents".   If that requires the RFC Editor or IASA to
>> print out all of the RFCs published in a given month, throw
>> them into an envelope, and put the envelope into the smail, I
>> imagine we can afford that.
> 
> 	there is historical precident for this.

Yes, I know -- both about the paper and the "toss into an
envelope" bit.  Even the idea of a standard page-image format is
a lot more recent than many people realize.

> 	my question earlier, regarding the whole series,
> 	includes early, paper-only RFC's, historic, etc.
> 	so the folks thinking that a simple change in the 
> 	current tools set will make it all good might have
> 	overlooked dealing w/ legacy documents.

The ISSN rules quite explicitly do not require that we go back
and reissue entries in the serious prior to the assignment of a
number.   So, unless we make explicit (and slightly complicated)
provisions to the contrary, assignment of an ISSN sweeps in all
RFCs back to #0001 but the identifier only needs to be included
in RFCs issued after the assignment date (or some other
convenient date that the RFC Editor picks).

> 	there are also books already published that are RFC
> 	compilations.  they already have ISSN numbers.

No, they have ISBN numbers.  And, although it is not a big deal,
this is yet another reason why an ISSN is a better idea.
Whether they are issued by the publisher or someone else,
assigning ISBNs to bound compilations of issues of a serial is
quite a routine event.  Another reason, of course, is that RFCs
really are a series -- that is more or less the whole point.

    john

---

From: "Tom.Petch" <[email-masked]>
Date: Thu, 22 May 2008 09:39:07 +0200

Yes, I think that this is an excellent idea and should be pursued.

I note that this will also give us a URN (RFC3044).  Any thoughts on what the
URN might in future resolve to?

Tom Petch

----- Original Message -----
From: "Ray Pelletier" <[email-masked]>
To: "IETF Discussion" <[email-masked]>; "IAOC" <[email-masked]>; "The IESG"
<[email-masked]>; "RFC Editor" <[email-masked]>; "IAB" <[email-masked]>;
"Working Group Chairs" <[email-masked]>
Sent: Wednesday, May 21, 2008 7:52 PM
Subject: ISSN for RFC Series under Consideration

---

From: Melinda Shore <[email-masked]>
Date: Thu, 22 May 2008 07:18:30 -0400

> be possible using an ISSN, so we would need to employ ISBNs.

No, not necessarily.  A serial published as a serial
("The Bulletin of the Singapore Guppy Society") is cataloged
as such, while a monograph series that has an ISSN may have the
monographs cataloged individually (this is under the Anglo-
American Cataloging Rules rev 2, and there may be some national
variations).  

Getting an ISSN in no way prevents individual RFCs from being
cataloged individually.

Melinda

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 22 May 2008 08:23:02 -0400

On a side note: If we want something URN-like that actually has  
traction outside the IETF, DOIs seem like the right approach. See http://www.doi.org/ 
  Articles in our closest technical disciplines, namely those  
published by ACM and IEEE, already have DOIs, both for journal and  
conference articles.

This is obviously completely orthogonal to the ISSN issue.

Henning

---

From: Marshall Eubanks <[email-masked]>
Date: Thu, 22 May 2008 09:10:11 -0400

> published by ACM and IEEE, already have DOIs, both for journal and

Note that

    DOI is a registered URI within the info-URI namespace (IETF RFC  
4452, the "info" URI Scheme for Information
    Assets with Identifiers in Public Namespaces). Further information  
is available at http://info-uri.info.

These are not free; if we got DOI's for all RFCs through, e.g.,  
Bowker, it would cost

    Up to 9999 DOIs - $1500 per year

I think it would be a good idea. A $ 1 increase in registration fees  
would more than pay for it.

Regards
Marshall

---

From: Bill Manning <[email-masked]>
Date: Thu, 22 May 2008 02:38:31 -0700

[elided]
> I suggest that the community would be better served, and the ISSN

-- 
--bill

---

From: Nevil Brownlee <[email-masked]>
Date: Thu, 22 May 2008 10:16:42 +1200

Hi all:

In a former life I published a Theatre Technology newsletter; we got an
ISSN for it, as a result two libraries asked for copies of each issue so
that they could archive them.  That was the only effect.

So, I agree with Melinda - it's worth getting an ISSN, and recognition
from the Library world, but it's unlikely to have any other effect.

Cheers, Nevil

---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand

---

From: John C Klensin <[email-masked]>
Date: Thu, 22 May 2008 08:49:37 -0400

bbbbbb

--On Thursday, 22 May, 2008 07:18 -0400 Melinda Shore
<[email-masked]> wrote:

>> I believe that getting each RFC cataloged individually would
>> not be possible using an ISSN, so we would need to employ
>> ISBNs.
> 

Of course not.  It doesn't even prevent individual RFCs, or
clusters of RFCs, being assigned ISBNs or, if one feels like
setting them to music or performing them in public and releasing
audio or video of those forms ISMNs or ISANs (the assorted
acronyms are left as an exercise for the reader).

Indeed, another way of looking at this question is that deciding
to register an ISSN for the RFC series really does not preclude
anything else (including, were we so inclined, putting DOIs on
each RFC) and we should therefore be asking "ISSN or not ISSN"
with all questions about other sorts of identifiers and
cataloging being viewed as separate.   Stated that way, I think
the answer to the ISSN question is pretty close to "some
advantages, very low cost, no possible reason why not"

      john

---

From: Cullen Jennings <[email-masked]>
Date: Thu, 22 May 2008 08:43:45 -0700

Seems like a good idea to me.

---

From: "Frank Ellermann" <[email-masked]>
Date: Fri, 23 May 2008 01:42:10 +0200

Tom Petch wrote:
 
> I note that this will also give us a URN (RFC3044).

What's the point of another URN in addition to urn:ietf:rfc:2648 ?

The ISSN idea is fine if this gets RFCs cataloged in places where
they are not available at the moment.  

For the "info-handles" and DOI ideas I don't understand why the 
IETF would wish to spend money for "yet another number" for RFCs.
See Henning's and Marshall's articles, $1500 per year.  I'm not
at all convinced that this is a good idea.  

 Frank

---

From: John C Klensin <[email-masked]>
Date: Thu, 22 May 2008 20:48:21 -0400

> 	compilations.  they already have ISSN numbers.

No, almost certainly they have ISBN numbers, not ISSN numbers.
See one of my earlier notes.

There are order a half-dozen of these ISxy "numbers", for books,
serials, music, audio-visual materials (including, I think,
movies) and other things,  Some near variation on DOIs(tm) are
in the process of becoming another one.   Each has a different
purpose and scope.  It is important to not get them confused,
especially since there are many circumstances in which the same
thing, or different presentation forms of the same thing, can be
assigned more than one of them.

     john

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 23 May 2008 11:49:14 +0200

On Thu, May 22, 2008 at 08:23:02AM -0400,
 Henning Schulzrinne <[email-masked]> wrote 
 a message of 13 lines which said:

> traction outside the IETF, DOIs seem like the right approach.

Certainly not! They are managed by a closed private company, without
any indication that they will stay in business for ever. They are
incredibly expensive. They are not resolvable (nobody implements RFC
3650 and al.)

We have plenty of good solutions to identify RFC (RFC 2648, RFC 4151,
and just ftp://ftp.rfc-editor.org/in-notes/rfcNNN.txt, etc). DOI must
not be used.
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 23 May 2008 07:58:27 -0700

I would rather pay $1 to provide bigger, better cookies or tap-dancing penguins during the plenaries.
 
I see no value in doing this and in fact plenty of reasons to oppose it. 
 
Where is the $1500 of value to the IETF here? I can see the value to DOI. If the IETF were to go this route it should be expecting DOI to be paying a cut of the additional business generated, not to hand money over.

________________________________

From: [email-masked] on behalf of Marshall Eubanks
Sent: Thu 22/05/2008 9:10 AM
To: Henning Schulzrinne
Cc: Working Group Chairs; IAB; IETF Discussion; IAOC; Bill Manning; John C Klensin; RFC Editor
Subject: Re: ISSN for RFC Series under Consideration

Note that

    DOI is a registered URI within the info-URI namespace (IETF RFC 
4452, the "info" URI Scheme for Information
    Assets with Identifiers in Public Namespaces). Further information 
is available at http://info-uri.info <http://info-uri.info/> .

Regards
Marshall

---

From: Marshall Eubanks <[email-masked]>
Date: Fri, 23 May 2008 11:14:53 -0400

On May 23, 2008, at 10:58 AM, Hallam-Baker, Phillip wrote:

> I would rather pay $1 to provide bigger, better cookies or tap- 
> dancing penguins during the plenaries.rsha

I don't think $1 USD would pay for one of those bigger, better,  
cookies, so I guess tap-dancing penguins it is.

Regards
Marshall

> Where is the $1500 of value to the IETF here? I can see the value to  
> DOI. If the IETF were to go this route it should be expecting DOI to  
> be paying a cut of the additional business generated, not to hand  
> money over.
>
> IAOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iaoc

---

From: "Eastlake III Donald-LDE008" <[email-masked]>
Date: Tue, 27 May 2008 10:56:17 -0400

It's not "rather than". The issues are orthogonal. The reasons for
getting an ISSN have been posted. ISBNs for individual RFCs is a
separate issue that would not be affected by getting an ISSN for the
series.
 
Donald

From: [email-masked] [mailto:[email-masked]] On
Behalf Of DRAGE, Keith (Keith)
Sent: Tuesday, May 27, 2008 9:17 AM
To: Ray Pelletier; Pete Resnick
Cc: Working Group Chairs; RFC Editor; IAB; IETF Discussion; IAOC
Subject: RE: [IAOC] ISSN for RFC Series under Consideration

Can you explain why you are suggesting using an ISSN for the whole
series, rather than ISBN for individual RFCs.
 
regards
 
Keith

	From: [email-masked]
[mailto:[email-masked]] On Behalf Of Ray Pelletier
	Sent: Wednesday, May 21, 2008 7:36 PM
	To: Pete Resnick
	Cc: Working Group Chairs; IAB; IETF Discussion; IAOC; RFC Editor
	Subject: Re: [IAOC] ISSN for RFC Series under Consideration

	Pete Resnick wrote:

			The Trust believes there are advantages to
indentifying the RFC 
			Series with an ISSN.

		OK, maybe I'm getting suspicious in my (still slowly)
advancing years:

		Nowhere in the message did I see words like, "The Trust
has consulted 
		with lawyers/doctors/priests/old-crusty-IETFers and have
found no 
		disadvantages to identifying the RFC Series with an
ISSN."

	The Trust did consult with lawyers, old-crusty-IETFers, RFC
Editor, and found no disadvantages to indentifying the RFC Series with
an ISSN.  

		 Did the 
		Trust actually find no potential problems (in which case
it would be 
		nice to hear that), have they not looked into it yet, or
did they 
		find problems and you're not saying because you don't
want to have a 
		big public discussion (in which case you're being dopey,
because it's 
		gonna happen anyway)?

	That we know!

		(For the record, had you said that the Trust did in fact
consult the 
		tea leaves and everything looked on the up-and-up and
they were 
		simply confirming this with the community, I would have
immediately 
		said, "Fine with me." I'm happy to have people to whom
such things 
		can be delegated, but I do want to hear the words "We've
done our due 
		diligence.")

	We've done our due diligence, but we respect the community and
the process, and seek its guidance.
	
	Ray

		pr

---

From: "Glen Zorn" <[email-masked]>
Date: Thu, 29 May 2008 09:34:18 +0700

> may take up this matter on June 11th.

This idea doesn't seem harmful, at least, but I question the utility of
making references to the RFC series "compact and globally unique" or making
such references easier to construct.  I suppose that someone somewhere has
referenced the entire RFC series (as opposed to a small set of RFCs) but
I've never actually seen it...